Skip to content

FreeType » Docs » Format-Specific API » CID Fonts

# CID Fonts

## Synopsis

This section contains the declaration of CID-keyed font-specific functions.

## FT_Get_CID_Registry_Ordering_Supplement

Defined in FT_CID_H (freetype/ftcid.h).

      FT_EXPORT( FT_Error )
      FT_Get_CID_Registry_Ordering_Supplement( FT_Face       face,
                                               const char*  *registry,
                                               const char*  *ordering,
                                               FT_Int       *supplement );

Retrieve the Registry/Ordering/Supplement triple (also known as the "R/O/S") from a CID-keyed font.

#### input

face | A handle to the input face.

#### output

registry | The registry, as a C string, owned by the face.
ordering | The ordering, as a C string, owned by the face.
supplement | The supplement.

#### return

FreeType error code. 0 means success.

#### note

This function only works with CID faces, returning an error otherwise.

#### since

2.3.6

## FT_Get_CID_Is_Internally_CID_Keyed

Defined in FT_CID_H (freetype/ftcid.h).

      FT_EXPORT( FT_Error )
      FT_Get_CID_Is_Internally_CID_Keyed( FT_Face   face,
                                          FT_Bool  *is_cid );

Retrieve the type of the input face, CID keyed or not. In contrast to the `FT_IS_CID_KEYED` macro this function returns successfully also for CID-keyed fonts in an SFNT wrapper.

#### input

face | A handle to the input face.

#### output

is_cid | The type of the face as an `FT_Bool`.

#### return

FreeType error code. 0 means success.

#### note

This function only works with CID faces and OpenType fonts, returning an error otherwise.

#### since

2.3.9

## FT_Get_CID_From_Glyph_Index

Defined in FT_CID_H (freetype/ftcid.h).

      FT_EXPORT( FT_Error )
      FT_Get_CID_From_Glyph_Index( FT_Face   face,
                                   FT_UInt   glyph_index,
                                   FT_UInt  *cid );

Retrieve the CID of the input glyph index.

#### input

face | A handle to the input face.
glyph_index | The input glyph index.

#### output

cid | The CID as an `FT_UInt`.

#### return

FreeType error code. 0 means success.

#### note

This function only works with CID faces and OpenType fonts, returning an error otherwise.

#### since

2.3.9